<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'inventory',

    /*
     * Package.
     */
    'package'   => 'account',

    /*
     * Modules.
     */
    'modules'   => ['account'],

    
    'account'       => [
        'model' => [
            'model' => \Inventory\Account\Models\Account::class,
            'repository' => \Inventory\Account\Repositories\Eloquent\AccountRepository::class,
            'table' => 'accounts',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'account_type_id',  'name',  'code',  'description',  'document',  'user_id',  'user_type',  'created_at',  'deleted_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'account/account',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Inventory',
            'package' => 'Account',
            'module' => 'Account',
        ],
    ],
];
