<?php

// API routes  for account.

// Guard routes for account
Route::prefix('{guard}/account')->group(function () {
    Route::resource('account', 'AccountResourceController');
});



// Public routes for account
Route::get('accounts/', 'AccountPublicController@index');
Route::get('account/{slug?}', 'AccountPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for account
            Route::prefix('{guard}/account')->group(function () {
                Route::resource('account', 'AccountResourceController');
            });
            
            

            // Public routes for account
            Route::get('accounts/', 'AccountPublicController@index');
            Route::get('account/{slug?}', 'AccountPublicController@show');
        }
    );
}