<?php

namespace Inventory\Account\Forms;

use Litepie\Form\FormInterpreter;

class Account extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('account/account/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('account/account/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('account/account'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('account/account'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('account/account'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('account/account'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('account::account.label.name'),
                "placeholder" => trans('account::account.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$groups = [
            'main' => trans('account::account.groups.main'),
            'details' => trans('account::account.groups.details'),
            'images' => trans('account::account.groups.images'),
            'settings' => trans('account::account.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('account::account.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('account::account.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('account::account.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('account::account.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'account_type_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('account::account.label.account_type_id'),
                "placeholder" => trans('account::account.placeholder.account_type_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('account::account.label.name'),
                "placeholder" => trans('account::account.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'code' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('account::account.label.code'),
                "placeholder" => trans('account::account.placeholder.code'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'description' => [
                "element" => 'textarea',
                "type" => 'textarea',
                "label" => trans('account::account.label.description'),
                "placeholder" => trans('account::account.placeholder.description'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'document' => [
                "element" => 'file',
                "type" => 'file',
                "label" => trans('account::account.label.document'),
                "placeholder" => trans('account::account.placeholder.document'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
