<?php

namespace Inventory\Account\Repositories\Eloquent;

use Inventory\Account\Interfaces\AccountRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Inventory\Account\Repositories\Eloquent\Presenters\AccountItemPresenter;


class AccountRepository extends BaseRepository implements AccountRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('inventory.account.account.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('inventory.account.account.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return AccountItemPresenter::class;
    }
}
